# -*- rpm-spec -*-
# $Id: cobex,v 1.1 2004/05/17 10:15:07 grigory Exp $

Name: cobex
Version: 0.2.0
Release: alt1

Summary: SonyEricsson comunication programm
License: GPL
Group: Communications
Url: http://cobex.sourceforge.net/

Source0: %name-%version.tar.gz

# Automatically added by buildreq on Mon May 17 2004
BuildRequires: libezV24-devel perl-XML-Parser perl-i18n

%description
This is Cable OBEX, or Cobex for short, a small utility/library for talking to (not in, hahaha)
a cellphone using OBEX over a serial cable. For a full-featured Open Source OBEX implementation,
see the OpenOBEX project, http://openobex.sourceforge.net/ . I think their primary focus is IrDA
and Bluetooth, and I never got it to work over a serial cable, thus this project.

Cobex has been successfully tested with the SonyEricsson phones T610, T310 and T300 using a DCU-11
USB/Serial cable. Other phones might work.

This project includes the three utilities, cobex_put, cobex_get and cobex_ls. That's right, now
you can get files from a T610, NOT a T300/T310. An added bonus is the modeldb sub-project.

%prep
%setup -q

%build
%make_build

%install
%__mkdir_p %buildroot%_bindir
for f in cobex_get cobex_ls cobex_put cobex_put.pl; do
	%__install -m 0755 $f %buildroot%_bindir/$f
done

%files
%doc Hacking_pl2303_driver.txt README Things_to_know_T310.txt
%_bindir/*

%changelog
* Mon May 17 2004 Grigory Milev <week@altlinux.ru> 0.2.0-alt1
- Initial build.



